@use '../../stylesheets/core/mixins' as m;

.rui-navbar {
  z-index: var(--z-index-navbar);
  display: flex;
  height: var(--navbar-height);
  align-items: center;
  padding: var(--spacer-default);
  background-color: var(--background-color);
  gap: var(--spacer-default);

  &__title-wrapper {
    display: flex;
    height: var(--navbar-item-height);
    flex-grow: 1;
    align-items: center;
    border-radius: var(--border-radius);
    background-color: var(--component-content-background);
    box-shadow: inset 0 0 0 1px var(--border-color);

    &__action {
      height: var(--navbar-item-height);
      padding: var(--spacer-small) var(--spacer-default);
      border-radius: var(--border-radius) 0 0 var(--border-radius);

      @include m.focus_inset();
    }

    &__content {
      height: var(--navbar-item-height);
      padding: var(--spacer-small) var(--spacer-default);
      overflow-x: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }
  }

  &__menu {
    display: inline-flex;
    height: var(--navbar-item-height);
    align-items: center;

    // Direct menu items (not in submenus)
    .rui-menu-item {
      min-width: unset;
    }

    // Fix some sub elements
    .rui-toolbar {
      height: var(--menu-item-height);
      line-height: 1.3em;

      &:not(:last-child) {
        margin-right: var(--spacer-default);
      }

      > *,
      >.rui-dropdown .rui-dropdown__trigger {
        height: var(--menu-item-height);
      }
    }
  }

  &--fixed {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
  }

  &--shadowed {
    box-shadow: 0 10px 15px -15px var(--border-color);
  }

  &--sticky {
    position: sticky;
    top: 0;
    border-bottom: 1px solid var(--border-color-alt);

    &~.rui-navbar--sticky {

      // FIXME: When sub-navbars have menus, z-index will still break
      z-index: calc(var(--z-index-navbar) - 1);
      top: var(--navbar-height);
    }
  }
}

._container,
._container--medium,
._container--small {
  .rui-navbar {
    padding-right: 0;
    padding-left: 0;
  }
}
